package com.xingxi.business.NewProd.service.impl;

import com.xingxi.common.core.text.Convert;
import com.xingxi.common.utils.DateUtils;
import com.xingxi.business.NewProd.domain.NewProd;
import com.xingxi.business.NewProd.mapper.NewProdMapper;
import com.xingxi.business.NewProd.service.INewProdService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 最新上架商品Service业务层处理
 *
 * @author xingxi
 * @date 2025-03-06
 */
@Service
public class NewProdServiceImpl implements INewProdService {
    @Resource
    private NewProdMapper newProdMapper;

    /**
     * 查询最新上架商品
     *
     * @param id 最新上架商品主键
     * @return 最新上架商品
     */
    @Override
    public NewProd selectNewProdById(Long id) {
        return newProdMapper.selectNewProdById(id);
    }

    /**
     * 查询最新上架商品列表
     *
     * @param newProd 最新上架商品
     * @return 最新上架商品
     */
    @Override
    public List<NewProd> selectNewProdList(NewProd newProd) {
        return newProdMapper.selectNewProdList(newProd);
    }

    /**
     * 新增最新上架商品
     *
     * @param newProd 最新上架商品
     * @return 结果
     */
    @Override
    public int insertNewProd(NewProd newProd) {
        newProd.setCreateTime(DateUtils.getNowDate());
        return newProdMapper.insertNewProd(newProd);
    }

    /**
     * 新增最新上架商品
     *
     * @param newProdList 最新上架商品
     * @return 结果
     */
    @Override
    public int batchInsertNewProd(List<NewProd> newProdList) {
        return newProdMapper.batchInsertNewProd(newProdList);
    }

    /**
     * 修改最新上架商品
     *
     * @param newProd 最新上架商品
     * @return 结果
     */
    @Override
    public int updateNewProd(NewProd newProd) {
        newProd.setUpdateTime(DateUtils.getNowDate());
        return newProdMapper.updateNewProd(newProd);
    }

    /**
     * 批量删除最新上架商品
     *
     * @param ids 需要删除的最新上架商品主键
     * @return 结果
     */
    @Override
    public int deleteNewProdByIds(String ids) {
        return newProdMapper.deleteNewProdByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除最新上架商品信息
     *
     * @param id 最新上架商品主键
     * @return 结果
     */
    @Override
    public int deleteNewProdById(Long id) {
        return newProdMapper.deleteNewProdById(id);
    }

    /**
     * 逻辑删除最新上架商品
     *
     * @param id 最新上架商品主键
     * @return 结果
     */
    @Override
    public int logicDeleteNewProdById(Long id) {
        return newProdMapper.logicDeleteNewProdById(id);
    }

    /**
     * 逻辑批量删除最新上架商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    @Override
    public int logicDeleteNewProdByIds(String[] ids) {
        return newProdMapper.logicDeleteNewProdByIds(ids);
    }

    /**
     * 逻辑批量删除最新上架商品
     *
     * @param newProd 最新上架商品
     * @return 结果
     */
    @Override
    public int logicDeleteNewProdByCondition(NewProd newProd) {
        return newProdMapper.logicDeleteNewProdByCondition(newProd);
    }
}
